onEvent('recipes', event => {

    const id_prefix = 'kubejs:shapeless';

    const materials = ['holy', 'stainless_steel', 'dimension', 'soulsteel', 'fluix_steel'];

    materials.forEach(material => {

        var ingot = itemOf(`#forge:ingots/${material}`);
        var nugget = itemOf(`#forge:nuggets/${material}`);
        var block = itemOf(`#forge:storage_blocks/${material}`);

        event.shapeless(
            Item.of(nugget,9), [ ingot ]
        ).id(`${id_prefix}/${material}_nugget`);

        event.shapeless(
            Item.of(ingot,9), [ block ]
        ).id(`${id_prefix}/${material}_ingot_from_block`);

        event.shapeless(
            ingot, [ nugget,nugget,nugget,nugget,nugget,nugget,nugget,nugget,nugget ]
        ).id(`${id_prefix}/${material}_ingot`);

        event.shapeless(
            block, [ ingot,ingot,ingot,ingot,ingot,ingot,ingot,ingot,ingot ]
        ).id(`${id_prefix}/${material}_block`);

    })

    

})